Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#26 01-09-2009 08:09:10

groffliers
Membre
Lieu : France 62
Distrib. : lenny
(G)UI : gnome
Inscription : 01-07-2009

Re : Gnome endommagé ? Réglages debian ?

résultat :

nathan@debian:~$ apt-cache policy libc6
libc6:
  Installé : 2.9-25
  Candidat : 2.9-25
Table de version :
*** 2.9-25 0
        100 /var/lib/dpkg/status
     2.7-18 0
        500 http://ftp.fr.debian.org lenny/main Packages
        500 http://ftp.fr.debian.org stable/main Packages
nathan@debian:~$

Est-ce sur ces lignes qu'il faut porter les préférences à 900 ?

@+

Hors ligne

#27 01-09-2009 08:41:11

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : Gnome endommagé ? Réglages debian ?

Bonjour groffliers,

Les preferences se mettent pour déterminer quelles sources auront la priorité sur quelles autres...

Sans fichier preferences, comme indiqué ici :
http://debian-facile.org/wiki/manuel:co … references

toutes les sources des branches supérieurs et inférieures sont à égalité et la version la plus élevées est mise en valeur et installée.

Si tu as gardé le fichiers sources.list que tu nous indiques, tu est donc en version unstable (nom de release sid) et donc avec une gestion ardue des paquets nécessaires, car paquets en cours de réalisation... Yop ?

deb http://ftp.fr.debian.org/debian/ lenny main
deb-src http://ftp.fr.debian.org/debian/ lenny main

deb http://security.debian.org/ lenny/updates main
deb-src http://security.debian.org/ lenny/updates main

deb http://volatile.debian.org/debian-volatile lenny/volatile main
deb-src http://volatile.debian.org/debian-volatile lenny/volatile main
deb http://security.debian.org stable/updates main contrib non-free
deb-src http://security.debian.org/ stable/updates main contrib non-free
deb http://ftp.fr.debian.org/debian stable main contrib non-free
deb-src http://ftp.fr.debian.org/debian stable main contrib non-free
deb http://ftp.fr.debian.org/debian unstable main contrib non-free
deb-src http://ftp.fr.debian.org/debian unstable main contrib non-free

deb ftp://ftp.debian-multimedia.org lenny main
deb http://www.debian-multimedia.org/ lenny main


Je t'ai mis en gras les sources.list qui te font passer automatiquement en unstable...
Ces sources devraient être d'une priorité inférieure à 500, car ce chiffre de 500 est la priorité par défaut de tous les sources.list non gérés par un fichier preferences.

Comme martin, je te demande de nous indiquer d'où te vient ce sources.list que tu possèdes et de le comparer à celui que nous fournissons pour une installation spéciale débutant ici :
http://debian-facile.org/wiki/manuel:so … pour_lenny

Bonne lecture, et nous attendons tes réactions,

Abientôt, amitié, Joel


"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#28 01-09-2009 09:01:43

groffliers
Membre
Lieu : France 62
Distrib. : lenny
(G)UI : gnome
Inscription : 01-07-2009

Re : Gnome endommagé ? Réglages debian ?

Ok , je ne sais pas d'où viennent ces sources instables - J'ai jeté un oeil pour régler  les préférences mais j'aurai besoin d'être guidé pour éviter de faire des gaufrettes , merci .

Hors ligne

#29 01-09-2009 09:27:50

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : Gnome endommagé ? Réglages debian ?

Salut groffliers,

En tant que débutant, je te propose de faire une installation de lenny stable de base.

Utilises l'éditeur nano, ouvre ton fichier /etc/apt/sources.list

Efface le tien en conservant les sources.list cdrom du début et copie le sources.list lambda de ce lien :
http://debian-facile.org/wiki/manuel:so … pour_lenny

Ensuite ouvre un terminal root (commande su du wiki DF) et fait la mise à jour par :

# apt-get update && dist-upgrade


Cela réinstallera le lenny stable que nous pourrons ensuite étoffer à volonté...

J'aimerai savoir comment tu as installé ta debian... netinstall ou dvd sans reseau et configuration en suivant ?

Amitié, Joel


"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#30 01-09-2009 10:23:15

groffliers
Membre
Lieu : France 62
Distrib. : lenny
(G)UI : gnome
Inscription : 01-07-2009

Re : Gnome endommagé ? Réglages debian ?

j'ai dû faire une gaufrette en enregistrant un fichier , quand je lance synaptic j'ai le message suivant :
E: Erreur syntaxique /etc/apt/apt.conf:2 : valeur aberrante à la fin du fichier

comment supprimer ce fichier indésirable en root ? merci

Hors ligne

#31 01-09-2009 10:33:05

phlinux
Membre
Lieu : S-M
Distrib. : Jessie
Noyau : 4.6
(G)UI : Openbox (+Rox+Feh)
Inscription : 10-05-2009

Re : Gnome endommagé ? Réglages debian ?

re-
Tu as modifié quel fichier ? Si c'est le sources.list il faut simplement le vérifier

Pages perso : feh, omegat, udisks, sa station de travail comme passerelle

Hors ligne

#32 01-09-2009 10:34:13

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : Gnome endommagé ? Réglages debian ?

Mets-nous le détail de ton fichier apt.conf :

$ cat /etc/apt/apt.conf


Pour supprimer un fichier en root :

# rm /chemin/du/fichier


voir les commandes linux du wiki DF là :
http://debian-facile.org/wiki/manuel:co … base_linux

Et yop ! smile


"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#33 01-09-2009 10:39:54

groffliers
Membre
Lieu : France 62
Distrib. : lenny
(G)UI : gnome
Inscription : 01-07-2009

Re : Gnome endommagé ? Réglages debian ?

nathan@debian:~$ cat /etc/apt/apt.conf
APT::Install-Recommends "false"
nathan@debian:~$


j'osais pas trop utiliser rm , parce que la suppression est sans appel !

j'avais voulu suivre les recommandations du site , mais j'ai dû faire une erreur et enregistrer 2 fois le fichier créé , en mode graphique je ne le retrouvais pas et en console si je l'édite avec nano , une fois édité je ne sais plus quoi faire pour le supprimer -

Hors ligne

#34 01-09-2009 10:45:36

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : Gnome endommagé ? Réglages debian ?

Utilise la commande de listage ls -l
voir wiki les commandes linux wink

Soit, en user  :
$ ls -l /etc/apt/

Et tes fichiers tu verras dans ce repertoire...
S'il en est un en double, la commande rm vers ce fichier en trop est la solution..
Yop ! smile

Dernière modification par smolski (01-09-2009 10:47:18)


"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#35 01-09-2009 10:56:42

mani
Road-Runnerus digestus
Lieu : Au bout du bout
Distrib. : Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : Mate
Inscription : 20-06-2007

Re : Gnome endommagé ? Réglages debian ?

groffliers a écrit :

nathan@debian:~$ cat /etc/apt/apt.conf
APT::Install-Recommends "false"


Il te manque juste un point virgule à la fin de la ligne :

APT::Install-Recommends "false";


C'est tout ! smile


« Those who dream by day are cognizant of many things which escape those who dream only by night. »
- Edgar Allan Poe

Hors ligne

#36 01-09-2009 11:29:34

groffliers
Membre
Lieu : France 62
Distrib. : lenny
(G)UI : gnome
Inscription : 01-07-2009

Re : Gnome endommagé ? Réglages debian ?

Ok , çà a l'air de gazer maintenant - Puisque tout a l'air de fonctionner , je vais vous laisser un epu de répit ...euh jusqu'à ma prochaine bêtise - encore merci .

Hors ligne

#37 02-09-2009 02:24:19

martinux_qc
Administrateur
Lieu : Montréal (Québec)
Distrib. : Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : XFCE 4.12
Inscription : 12-10-2008

Re : Gnome endommagé ? Réglages debian ?

groffliers a écrit :

résultat :

nathan@debian:~$ apt-cache policy libc6
libc6:
  Installé : 2.9-25
  Candidat : 2.9-25
Table de version :
*** 2.9-25 0
        100 /var/lib/dpkg/status
     2.7-18 0
        500 http://ftp.fr.debian.org lenny/main Packages
        500 http://ftp.fr.debian.org stable/main Packages
nathan@debian:~$

Est-ce sur ces lignes qu'il faut porter les préférences à 900 ?

@+


Salut

C'est bien je que je pensais. À cause de ta référence à la branche unstable dans ton sources.list, ta debian n'utilise plus vraiment la branche stable. En résumé, libc6 c'est le paquet qui représente le coeur du système. En terme plus technique ce paquet contient les bibliothèques partagées utilisées par pratiquement tous les programmes du système. Pour lenny, tu devrais avoir la version 2.7-18.0 d'installé. Là tu as la version pour unstable ou testing (même version pour ton type de PC).

Maintenant, pour revenir à une lenny propre, il y a deux méthodes. 1) Tu réinstalles. 2) On peut aussi créer temporairement un fichier preferences qui te permettras de retomber sur tes pattes. À toi de me dire ce que tu désires. Si tu choisis l'option 2), j'indiquerais la procédure. Lors de l'installation, je ne sais pas si une partition /home (qui contient tes fichiers personnels) a été créée. Si ce n'est pas le cas, l'option demandera de tout sauvegarder avant de procéder. Perso, pour moi, l'option 1) c'est un réflexe à la Windows, c'est la facilité. Le truc plante, fonctionne mal, on réinstalle tout. Sous GNU/Linux, réinstallé c'est la solution lorsque toutes les autres tentatives ont échouées. Tenter de réparer le système nous permet d'apprendre beaucoup plus. Enfin, à toi de voir.


"L'éducation vise à former des citoyens pas trop tatas et non pas à envoyer le plus de tatas possible à l'université."
Pierre Foglia (Journaliste à la retraite à La Presse)
Note : au Québec, le mot tata a un sens péjoratif qui sert à désigner une personne un peu idiote ou insignifiante. D'où les expressions familières : Espèce de grand, de gros tata! Être, avoir l'air tata.

Hors ligne

#38 02-09-2009 02:43:48

martinux_qc
Administrateur
Lieu : Montréal (Québec)
Distrib. : Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : XFCE 4.12
Inscription : 12-10-2008

Re : Gnome endommagé ? Réglages debian ?

smolski a écrit :

Efface le tien en conservant les sources.list cdrom du début et copie le sources.list lambda de ce lien :
http://debian-facile.org/wiki/manuel:so … pour_lenny

Ensuite ouvre un terminal root (commande su du wiki DF) et fait la mise à jour par :

# apt-get update && dist-upgrade


Cela réinstallera le lenny stable que nous pourrons ensuite étoffer à volonté...


Ce n'est pas aussi simple que cela Joel.

Pour enlever toute trace des paquets sid, il faut créer un fichier preferences où les dépôts de lenny ont une priorité de 1001 pour forcer leur installation.

Donc pour /etc/apt/preferences, on met :

Package: *
Pin: release a=stable
Pin-Priority:1001


Une fois cela fait, on fait un apt-get update puis un apt-get upgrade. Comme ça, tous les paquets devraient passer en lenny. Si nécessaire faire aussi un apt-get dist-upgrade. On peut bien sûr passer aussi par aptitude. Il faudra peut-être aussi refaire certaines commandes, comme apt-get upgrade, pour régler tous les problèmes de dépendances. Bref, procéder jusqu'à ce que apt-get ne râle plus, qu'il n'indique plus d'erreur.


Martin


"L'éducation vise à former des citoyens pas trop tatas et non pas à envoyer le plus de tatas possible à l'université."
Pierre Foglia (Journaliste à la retraite à La Presse)
Note : au Québec, le mot tata a un sens péjoratif qui sert à désigner une personne un peu idiote ou insignifiante. D'où les expressions familières : Espèce de grand, de gros tata! Être, avoir l'air tata.

Hors ligne

#39 02-09-2009 06:28:57

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : Gnome endommagé ? Réglages debian ?

Super !

Je nous en vais de ce pas composer un tuto à ce propos que nous mettrons dans la gestion des sources.list en cours de re-composition...

Merci à groffliers d'avoir présenté ce problème et à toute l'équipe modo/rédacto vaillante d'offrir  tant de compléments d'information ! big_smile

Moi j'dis : Tchibâââ ! lol

Amitié, Joel

Edit matutinal :
le tuto là :
http://debian-facile.org/forum/viewtopi … 791#p13791

Hop hop hop ! wink

Dernière modification par smolski (03-09-2009 13:00:57)


"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#40 02-09-2009 10:26:31

groffliers
Membre
Lieu : France 62
Distrib. : lenny
(G)UI : gnome
Inscription : 01-07-2009

Re : Gnome endommagé ? Réglages debian ?

Bon , puisqu'on est là pour apprendre allons-y gaiement pour la tentative de réparation , mais patience , je suis débutant - merci .

Hors ligne

#41 02-09-2009 10:45:38

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : Gnome endommagé ? Réglages debian ?

C'est tout bon groffliers,

Reste à nous tenir au courant ici... tongue

Yop !

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#42 03-09-2009 03:43:43

martinux_qc
Administrateur
Lieu : Montréal (Québec)
Distrib. : Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : XFCE 4.12
Inscription : 12-10-2008

Re : Gnome endommagé ? Réglages debian ?

groffliers a écrit :

Bon , puisqu'on est là pour apprendre allons-y gaiement pour la tentative de réparation , mais patience , je suis débutant - merci .


Salut

En fait, j'ai déjà donné une grande partie de la solution dans le message #38.

Ce soir je suis vraiment déborbé. Si tu as la patience d'attendre jusqu'à demain, je te mettrai la procédure qu'il faut suivre en détail. Pas de problème pour moi si tu es débutant. On peut y aller étape par étape, lentement mais sûrement, avec les explications pour que tu puisses comprendre ce que tu fais. GNU/Linux c'est cela. Apprendre comment son système fonctionne pour que rien ne soit mystérieux. Si tu as la volonté d'apprendre, tu es prêt à lire des textes (comme dans le wiki par exemple), tu verras que c'est très gratifiant à la fin.

Martin


"L'éducation vise à former des citoyens pas trop tatas et non pas à envoyer le plus de tatas possible à l'université."
Pierre Foglia (Journaliste à la retraite à La Presse)
Note : au Québec, le mot tata a un sens péjoratif qui sert à désigner une personne un peu idiote ou insignifiante. D'où les expressions familières : Espèce de grand, de gros tata! Être, avoir l'air tata.

Hors ligne

#43 03-09-2009 11:08:51

groffliers
Membre
Lieu : France 62
Distrib. : lenny
(G)UI : gnome
Inscription : 01-07-2009

Re : Gnome endommagé ? Réglages debian ?

Pas de problème , le pc fonctionne quand même malgré les petits soucis évoqués donc y a pas le feu !
Bonne journée .

Hors ligne

#44 04-09-2009 02:58:04

martinux_qc
Administrateur
Lieu : Montréal (Québec)
Distrib. : Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : XFCE 4.12
Inscription : 12-10-2008

Re : Gnome endommagé ? Réglages debian ?

Très bien. J'ai une grosse semaine de travail cette semaine, alors le soir je suis assez fatigué ; j'en profite surtout pour relaxer. Pour bien te venir en aide, je préfère écrire les procédures à suivre à tête reposée pour ne rien oublier et être le plus clair possible. Ici, nous avons une fin de semaine de 3 jours, lundi étant férié. Je vais donc t'indiquer en détail ce qu'il faut faire un peu plus tard. Dès samedi je m'attaque à la tâche et je poste mon message. Soit sûr que je ne vais pas t'oublier. On devrait normalement remettre le pc correctement sur ses pattes en fin de semaine si tu es disponible pour lire mon ou mes textes.

À la prochaine
Martin

"L'éducation vise à former des citoyens pas trop tatas et non pas à envoyer le plus de tatas possible à l'université."
Pierre Foglia (Journaliste à la retraite à La Presse)
Note : au Québec, le mot tata a un sens péjoratif qui sert à désigner une personne un peu idiote ou insignifiante. D'où les expressions familières : Espèce de grand, de gros tata! Être, avoir l'air tata.

Hors ligne

#45 06-09-2009 04:08:26

martinux_qc
Administrateur
Lieu : Montréal (Québec)
Distrib. : Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : XFCE 4.12
Inscription : 12-10-2008

Re : Gnome endommagé ? Réglages debian ?

Salut

Après quelques tests et vérifications, je peux maintenant écrire la procédure à suivre, étape par étape, pour remettre une lenny sur pied

1) On doit avoir un bon fichier /etc/apt/sources.list. C'est-à-dire celui-ci :

## stable
deb http://ftp.fr.debian.org/debian/ stable main contrib non-free
#deb-src http://ftp.fr.debian.org/debian/ stable main contrib non-free

## stable security
deb http://security.debian.org/ stable/updates main contrib non-free
#deb-src http://security.debian.org/ stable/updates main contrib non-free

## volatile
deb http://volatile.debian.org/debian-volatile stable/volatile main contrib non-free
#deb-src http://volatile.debian.org/debian-volatile stable/volatile main contrib non-free

## stable multimedia
deb http://mirror.home-dn.net/debian-multimedia stable main
#deb-src http://mirror.home-dn.net/debian-multimedia stable main


La référence au dépôt multimedia n'est pas essentiel ici mais comme tu l'avais déjà, je l'ai conservée dans ton fichier. Si le fichier n'est pas correct, il faut l'éditer en root. On ouvre donc un terminal et on tape :

martin@debian:~$ su -
Mot de passe :
nano /etc/apt/sources.list


On tape son mot de passe, rien n'apparaît à l'écran, le curseur ne bouge pas mais ce que l'on tape est bien pris en compte, puis on tape la ligne nano....

On modifie son fichier, en faisant bien attention à la syntaxe, on sauvegarde avec Ctrl+o, puis on quitte avec Ctrl+x.

2) On va utiliser un fichier /etc/apt/preferences qui va nous permettre de remettre lenny sur pied. On suppose ici que le fichier n'existe pas encore (par défaut c'est le cas). Après l'étape 1), si on n'a pas fermé le terminal, on est encore en root (si cela n'est pas le cas on tape à nouveau le su -). On créé le fichier preferences, en tapant :

nano /etc/apt/preferences


Ici il faut faire attention de bien taper la ligne pour créer un fichier avec le bon nom. Un fois nano ouvert on tape les lignes suivantes :

Package:*
Pin:release o=Debian, a=stable
Pin-priority:1001


Puis on tape ctrl+o pour sauvegarder et ctrl+x pour quitter. Encore une fois la syntaxe est très importante. La priorité de 1001 forcera l'installation des paquets de la branche lenny pour remplacer ceux qui ont été pris dans la branche sid (unstable).

3) On met à jour nos modifications. On est toujours dans le terminal en root. On commence par taper :

apt-get update


Une fois l'update terminée, on ne doit pas avoir de message d'erreur. Si c'est le cas c'est qu'on a fait une erreur dans l'écriture de notre fichier preferences. On doit alors la corriger puis refaire un apt-get update.

Une fois l'update terminée sans message d'erreur, on peut vérifier que les priorités établis dans notre fichier preferences sont correctement prises en compte. On tape pour cela :

apt-cache policy


On aura alors quelque chose semblable à ceci:

debian:~# apt-cache policy
Fichiers du paquet :
 100 /var/lib/dpkg/status
     release a=now
 500 http://volatile.debian.org lenny/volatile/main Packages
     release o=volatile.debian.org,a=stable,l=debian-volatile,c=main
     origin volatile.debian.org
1001 http://security.debian.org lenny/updates/non-free Packages
     release v=5.0,o=Debian,a=stable,l=Debian-Security,c=non-free
     origin security.debian.org
1001 http://security.debian.org lenny/updates/contrib Packages
     release v=5.0,o=Debian,a=stable,l=Debian-Security,c=contrib
     origin security.debian.org
1001 http://security.debian.org lenny/updates/main Packages
     release v=5.0,o=Debian,a=stable,l=Debian-Security,c=main
     origin security.debian.org
1001 http://ftp.fr.debian.org lenny/non-free Packages
     release v=5.0.3,o=Debian,a=stable,l=Debian,c=non-free
     origin ftp.fr.debian.org
1001 http://ftp.fr.debian.org lenny/contrib Packages
     release v=5.0.3,o=Debian,a=stable,l=Debian,c=contrib
     origin ftp.fr.debian.org
 500 http://ftp.fr.debian.org lenny/main Translation-fr
1001 http://ftp.fr.debian.org lenny/main Packages
     release v=5.0.3,o=Debian,a=stable,l=Debian,c=main
     origin ftp.fr.debian.org


On voit bien dans la colonne de gauche la priorité de 1001

4) On met à jour les paquets:
Toujours en root dans le terminal, on tape la commande :

apt-get upgrade


On aura alors le message suivant :

Les paquets suivants seront mis à une VERSION INFÉRIEURE :


suivi d'une liste plus ou moins longue de paquets à réinstaller.

À la question :

Souhaitez-vous continuer [O/n] ?


On répond évidemment O (pour oui).

Normalement cela devrait être suffisant pour corriger la situation. Après la mise à jour, je ne crois pas que l'on devrait avoir de messages indiquant que des paquets sont cassés ou qu'il en reste à mettre à jour. Sinon, un

apt-get dist-upgrade


pourrait être nécessaire. Mais je ne crois pas que cela soit le cas.

Voilà je pense que j'ai fait le tour.

Si tout s'est déroule sans problème, il faut, pour terminer, modifier le fichier preferences une dernière fois. On tape donc :

martin@debian:~$ su -
Mot de passe :
nano /etc/apt/preferences


puis on modifie le fichier pour avoir cela :

Package: *
Pin: release o=Unofficial Multimedia Packages,a=stable
Pin-priority: 200


Puis on fait Ctrl+o puis Crtl+x. Ce dernier fichier preferences est valable pour le fichier sources.list utilisé ici. Si on modifie ce dernier, il faudra normalement aussi modifier le fichier preferences.

Si quelque chose n'est pas clair, ou que tu n'es pas sûr de ton coup, avant de répondre oui pour confirmer un truc tu peux toujours faire un copier/coller ici du message que tu as. On avisera alors. Si tout se déroule bien, j'apprécierais grandement que tu me confirme que la procédure décrite est la bonne.

À la prochaine
Martin


"L'éducation vise à former des citoyens pas trop tatas et non pas à envoyer le plus de tatas possible à l'université."
Pierre Foglia (Journaliste à la retraite à La Presse)
Note : au Québec, le mot tata a un sens péjoratif qui sert à désigner une personne un peu idiote ou insignifiante. D'où les expressions familières : Espèce de grand, de gros tata! Être, avoir l'air tata.

Hors ligne

#46 06-09-2009 07:46:53

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : Gnome endommagé ? Réglages debian ?

Super martin !

Deux ou trois remarques sur ton retour à lenny...

Tu dissèques l'ouverture d'un terminal root au lieu d'utiliser le lien vers la commande su du wiki DF :
http://debian-facile.org/wiki/commande:su

Idem pour nano :
http://debian-facile.org/wiki/commande:nano

Idem pour le sources.list de base ici :
http://debian-facile.org/wiki/manuel:so … pour_lenny

Pour la remise en l'état du fichier preferences, je suggère que tu sois plus explicite en l'indiquant tel...

genre :

Lorsque tout c'est de nouveau stabilisé, recomposez le fichier preferences conseillé par DF ainsi :
http://debian-facile.org/wiki/manuel:so … _priorites


Parce que, sinon... à quoi bon que tous nous nous décarcassions ensembles ? Yep !

Il reste à convenir que cette réparation s'adressera aussi à un nouvel impétrant debian fourvoyé, et il est des plus sage et utile de lui ouvrir les portes de nos tutos généraux généreux... Non ?

Merci de cet attachement aux résolutions et de ton savoir faire martin !

Attendons le retour de groffliers le bougre...

Tchibâââ ! big_smile

Amitié, Joel

Dernière modification par smolski (06-09-2009 10:39:10)


"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#47 06-09-2009 14:16:55

groffliers
Membre
Lieu : France 62
Distrib. : lenny
(G)UI : gnome
Inscription : 01-07-2009

Re : Gnome endommagé ? Réglages debian ?

Après upgrade j'ai çà :

Extraction des modèles depuis les paquets : 100%
Préconfiguration des paquets...
dpkg : avertissement : option obsolète « --print-installation-architecture », veuillez utiliser « --print-architecture » à la place.
dpkg : avertissement : option obsolète « --print-installation-architecture », veuillez utiliser « --print-architecture » à la place.
dpkg : avertissement : dégradation (« downgrade ») de base-passwd depuis 3.5.21 vers 3.5.20.
(Lecture de la base de données... 143353 fichiers et répertoires déjà installés.)
Préparation du remplacement de base-passwd 3.5.21 (en utilisant .../base-passwd_3.5.20_i386.deb) ...
Dépaquetage de la mise à jour de base-passwd ...
Traitement des actions différées (« triggers ») pour « man-db »...
Paramétrage de base-passwd (3.5.20) ...
dpkg : avertissement : dégradation (« downgrade ») de base-files depuis 5.0.0 vers 5lenny4.
(Lecture de la base de données... 143353 fichiers et répertoires déjà installés.)
Préparation du remplacement de base-files 5.0.0 (en utilisant .../base-files_5lenny4_i386.deb) ...
Dépaquetage de la mise à jour de base-files ...
dpkg : avertissement : impossible de supprimer l'ancien répertoire  « /etc/dpkg/origins » : Le dossier n'est pas vide
Traitement des actions différées (« triggers ») pour « man-db »...
Traitement des actions différées (« triggers ») pour « install-info »...
install-info: avertissement: aucune entrée répertoire Info dans « /usr/share/info/ispell.info.gz »
install-info: avertissement: aucune entrée répertoire Info dans « /usr/share/info/menu.info.gz »
Paramétrage de base-files (5lenny4) ...
Installation de la nouvelle version du fichier de configuration /etc/debian_version ...
Installation de la nouvelle version du fichier de configuration /etc/issue ...
Installation de la nouvelle version du fichier de configuration /etc/issue.net ...
dpkg : avertissement : dégradation (« downgrade ») de debianutils depuis 3.2.1 vers 2.30.
(Lecture de la base de données... 143353 fichiers et répertoires déjà installés.)
Préparation du remplacement de debianutils 3.2.1 (en utilisant .../debianutils_2.30_i386.deb) ...
Dépaquetage de la mise à jour de debianutils ...
dpkg : erreur de traitement de /var/cache/apt/archives/debianutils_2.30_i386.deb (--unpack) :
tentative de remplacement de « /usr/bin/sensible-pager », qui appartient aussi au paquet sensible-utils
Des erreurs ont été rencontrées pendant l'exécution :
/var/cache/apt/archives/debianutils_2.30_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


Faut-il effectuer " apt-get dist-upgrade " ?
est-ce que cette dernière manip peut corriger les erreurs ?

Merci pour le tuto - la distrib a l'air de fonctionner quand même , peut-être de façon basique mais l'important est de pouvoir démarrer et accéder à un terminal pour corriger - Bon dimanche -

Dernière modification par groffliers (06-09-2009 15:12:21)

Hors ligne

#48 06-09-2009 19:29:56

martinux_qc
Administrateur
Lieu : Montréal (Québec)
Distrib. : Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : XFCE 4.12
Inscription : 12-10-2008

Re : Gnome endommagé ? Réglages debian ?

Salut

Le processus bloque sur le paquet debianutils. Je tenterais donc la chose suivante. Dans un terminal, en root, tu tapes la commande :

apt-get -f install debianutils


Le -f c'est pour forcer l'installation du paquet. Par la suite, je ferais un autre apt-get upgrade. En passant, avec la commande apt-get il existe l'option -s qui permet de simuler la commande. Par exemple :

apt-get -s -f install debianutils


Cela te permet de voir les conséquences de l'exécution de la commande. Si le résultat te semble correct tu refais la commande pour vrai sans l'option -s, sinon il faut chercher une autre solution.

Tu pourrais donc aussi regarder ce que fait un apt-get -s dist-upgrade. Les changements sur ta lenny, à cause du dépôt unstable, ont été tellement important qu'il faudra probablement faire et refaire certaines commandes pour la remettre sur pied. Mais cela ne devrait pas être impossible.

Martin


"L'éducation vise à former des citoyens pas trop tatas et non pas à envoyer le plus de tatas possible à l'université."
Pierre Foglia (Journaliste à la retraite à La Presse)
Note : au Québec, le mot tata a un sens péjoratif qui sert à désigner une personne un peu idiote ou insignifiante. D'où les expressions familières : Espèce de grand, de gros tata! Être, avoir l'air tata.

Hors ligne

#49 06-09-2009 20:33:55

groffliers
Membre
Lieu : France 62
Distrib. : lenny
(G)UI : gnome
Inscription : 01-07-2009

Re : Gnome endommagé ? Réglages debian ?

Ok , manips effectuées à priori tout a l'air de gazer - encore  merci , sûr que d'autres en profiteront .

J'ai changé un peu le titre du post pour faire apparaitre "réglages debian" et pas seulement gnome comme c'était au départ car c'était la debian qui était mal montée - @+

Hors ligne

#50 06-09-2009 20:42:01

martinux_qc
Administrateur
Lieu : Montréal (Québec)
Distrib. : Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : XFCE 4.12
Inscription : 12-10-2008

Re : Gnome endommagé ? Réglages debian ?

Salut

Tu veux dire que le apt-get -f install a bien fonctionné ? Tu peux donner un peu de détail sur tes dernières commandes utilisées. Cela m'intéresse et servira pour le wiki.


Tu peux aussi modifier ton premier message et placer [Résolu] devant le titre. Merci

Martin

"L'éducation vise à former des citoyens pas trop tatas et non pas à envoyer le plus de tatas possible à l'université."
Pierre Foglia (Journaliste à la retraite à La Presse)
Note : au Québec, le mot tata a un sens péjoratif qui sert à désigner une personne un peu idiote ou insignifiante. D'où les expressions familières : Espèce de grand, de gros tata! Être, avoir l'air tata.

Hors ligne

Pied de page des forums